Opened 10 years ago

Closed 8 years ago

#4764 closed bug (fixed)

latest svn pckage not working (GCC2).

Reported by: bga Owned by: scottmc
Priority: critical Milestone: R1
Component: Applications Version: R1/Development
Keywords: Cc:
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

[/boot/home]> svn
runtime_loader: Cannot open file libintl.so.8: No such file or directory

Change History (11)

comment:1 by scottmc, 10 years ago

I'm not sure why this is just now happening. The svn package is the same one that is included in the alpha, and I thought that one was working. I ran into this last night and had to download gettext page to get it to work. I'm not sure what changed to cause this to pop up now. I'll build a new gettext free version later today. If you need svn right away you can get a binary of gettext here: http://www.haiku-ports.de//packages/sys-devel/

comment:2 by scottmc, 10 years ago

It's neon. hrev335109. I'll get a fixed build of neon up ASAP. Going to build it on a clean image. My first check-in and I already broke something.

comment:3 by scottmc, 10 years ago

hrev33509 that is

comment:4 by HaikuBot, 10 years ago

Get same on hrev33512 Hybrid GCC4/GCC2.

comment:5 by scottmc, 10 years ago

try replacing neon with the previous version and make sure that fixes it: http://haiku-files.org/files/optional-packages/neon-0.28.6-r1a1-x86-gcc2-2009-08-30.zip

comment:6 by HaikuBot, 10 years ago

I have already downloaded gettext and svn works now.

comment:7 by HaikuBot, 10 years ago

But I have second system. :) This neon package have fixed svn.

comment:8 by scottmc, 10 years ago

Resolution: fixed
Status: newclosed

fixed in hrev33538

comment:9 by stargatefan, 8 years ago

Resolution: fixed
Status: closedreopened

comment:10 by stargatefan, 8 years ago

I ran into this on the latest nightly gcc2 hybrid version 41490

missing

libintl.so.8

Had to install gettext to resolve.

comment:11 by scottmc, 8 years ago

Resolution: fixed
Status: reopenedclosed

should be fixed in hrev41511. Also this time I have added --disable-nls to the associated .bep files, so this hopefully won't affect us again.

Note: See TracTickets for help on using tickets.